## GnomeBGSlideShow GnomeBGSlideShow |

## Functions

GnomeBGSlideShow * | gnome_bg_slide_show_new ()
gboolean | gnome_bg_slide_show_load ()
void | gnome_bg_slide_show_load_async ()
void | gnome_bg_slide_show_get_current_slide ()
gboolean | gnome_bg_slide_show_get_has_multiple_sizes ()
int | gnome_bg_slide_show_get_num_slides ()
gboolean | gnome_bg_slide_show_get_slide ()
double | gnome_bg_slide_show_get_start_time ()
double | gnome_bg_slide_show_get_total_duration ()

## Types and Values

struct | GnomeBGSlideShow
struct | GnomeBGSlideShowClass

## Description

## Functions

### gnome_bg_slide_show_new ()

    GnomeBGSlideShow *
    gnome_bg_slide_show_new (const char *filename);

Creates a new object to manage a slide show. window background between two cairo_surface_ts.

#### Parameters

filename | The filename of the slide show |

#### Returns

the new GnomeBGSlideShow

### gnome_bg_slide_show_load ()

    gboolean
    gnome_bg_slide_show_load (GnomeBGSlideShow *self,
                              GError **error);

Tries to load the slide show.

#### Parameters

self | a GnomeBGSlideShow |
error | a GError |

#### Returns

`TRUE` if successful

### gnome_bg_slide_show_load_async ()

    void
    gnome_bg_slide_show_load_async (GnomeBGSlideShow *self,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Tries to load the slide show asynchronously.

#### Parameters

self | a GnomeBGSlideShow |
cancellable | a GCancellable |
callback | the callback |
user_data | user data |

### gnome_bg_slide_show_get_current_slide ()

    void
    gnome_bg_slide_show_get_current_slide (GnomeBGSlideShow *self,
                                           int width,
                                           int height,
                                           gdouble *progress,
                                           double *duration,
                                           gboolean *is_fixed,
                                           const char **file1,
                                           const char **file2);

Returns the current slides progress.

#### Parameters

self | a GnomeBGSlideShow |
width | monitor width |
height | monitor height |
progress | slide progress. | [out][allow-none]
duration | slide duration. | [out][allow-none]
is_fixed | if slide is fixed. | [out][allow-none]
file1 | first file in slide. | [out][allow-none][transfer none]
file2 | second file in slide. | [out][allow-none][transfer none]

### gnome_bg_slide_show_get_has_multiple_sizes ()

    gboolean
    gnome_bg_slide_show_get_has_multiple_sizes
                                   (GnomeBGSlideShow *self);

gets whether or not the slide show has multiple sizes for different monitors

#### Parameters

self | a GnomeBGSlideShow |

#### Returns

`TRUE` if multiple sizes

### gnome_bg_slide_show_get_num_slides ()

    int
    gnome_bg_slide_show_get_num_slides (GnomeBGSlideShow *self);

Returns number of slides in slide show

#### Parameters

self | a GnomeBGSlideShow |

### gnome_bg_slide_show_get_slide ()

    gboolean
    gnome_bg_slide_show_get_slide (GnomeBGSlideShow *self,
                                   int frame_number,
                                   int width,
                                   int height,
                                   gdouble *progress,
                                   double *duration,
                                   gboolean *is_fixed,
                                   const char **file1,
                                   const char **file2);

Retrieves slide by frame number

#### Parameters

self | a GnomeBGSlideShow |
frame_number | frame number |
width | monitor width |
height | monitor height |
progress | slide progress. | [out][allow-none]
duration | slide duration. | [out][allow-none]
is_fixed | if slide is fixed. | [out][allow-none]
file1 | first file in slide. | [out][allow-none][transfer none]
file2 | second file in slide. | [out][allow-none][transfer none]

#### Returns

`TRUE` if successful

### gnome_bg_slide_show_get_start_time ()

    double
    gnome_bg_slide_show_get_start_time (GnomeBGSlideShow *self);

gets the start time of the slide show

#### Parameters

self | a GnomeBGSlideShow |

#### Returns

a timestamp

### gnome_bg_slide_show_get_total_duration ()

    double
    gnome_bg_slide_show_get_total_duration
                                   (GnomeBGSlideShow *self);

gets the total duration of the slide show

#### Parameters

self | a GnomeBGSlideShow |

#### Returns

a timestamp

## Types and Values

### struct GnomeBGSlideShow

    struct GnomeBGSlideShow {
    	GObject parent_object;

    	GnomeBGSlideShowPrivate *priv;
    };

### struct GnomeBGSlideShowClass

    struct GnomeBGSlideShowClass {
    	GObjectClass parent_class;
    };